Skip to main content
GET
/
contents
List contents
curl --request GET \
  --url https://api.reelevant.com/v2/contents \
  --header 'Authorization: Bearer <token>'
{
  "paginationCount": 123,
  "paginationPage": 123,
  "paginationLimit": 123,
  "status": "success",
  "program": "<string>",
  "version": "<string>",
  "datetime": "<string>",
  "message": "<string>",
  "data": [
    {
      "name": "<string>",
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "hierarchy": [
        "<string>"
      ],
      "archivedAt": "2023-11-07T05:31:56Z",
      "hidden": true,
      "companyId": "<string>",
      "resourceGroupIds": [
        "<string>"
      ],
      "versions": [
        {
          "id": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "template": {
            "components": {},
            "dependencies": {},
            "pages": [
              {
                "id": "<string>",
                "width": 123,
                "height": 123,
                "background": {
                  "r": 123,
                  "g": 123,
                  "b": 123,
                  "a": 123
                },
                "duration": 123,
                "components": [
                  {
                    "id": "<string>",
                    "x": 123,
                    "y": 123,
                    "skewX": 123,
                    "skewY": 123,
                    "width": 123,
                    "height": 123,
                    "rotation": 123
                  }
                ],
                "orderTree": {
                  "root": [
                    "<string>"
                  ],
                  "elements": {}
                },
                "url": [
                  {
                    "type": "static",
                    "value": "<string>"
                  }
                ],
                "title": [
                  {
                    "type": "static",
                    "value": "<string>"
                  }
                ]
              }
            ],
            "conditionGroups": {},
            "componentGroups": {},
            "editorSettings": {
              "canvasBackground": {
                "r": 123,
                "g": 123,
                "b": 123,
                "a": 123
              },
              "layoutGuides": [
                {
                  "id": "<string>",
                  "name": "<string>",
                  "visible": true,
                  "color": {
                    "r": 123,
                    "g": 123,
                    "b": 123,
                    "a": 123
                  },
                  "type": "grid",
                  "size": 123
                }
              ]
            }
          },
          "previewUrl": "<string>",
          "metadata": {}
        }
      ],
      "options": {
        "compression": true,
        "compressionThreshold": 123
      },
      "description": "<string>"
    }
  ],
  "code": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

ids
string[]

Filter on contents that have on of those ids

name
string

Filter on contents that contains that string in the name

resourceGroupIds
string[]

Filter on contents with on of those resource groups

status
enum<string>[]

Filter on contents with one of those statuses

Available options:
draft,
publishing,
published,
error
includeArchived
boolean

Display archived contents

includeHidden
boolean

Display hidden contents

sortBy
default:updatedAt
Available options:
name
sortOrder
default:desc
Available options:
desc
hierarchy
string[]

Filter on contents with a specific hierarchy path. Pass an array of strings representing the folder path (e.g., ["Marketing", "Q4"] for Marketing > Q4). Empty array returns root-level contents.

includeLiveOnly
boolean

Filter on contents with live data and return only live version. Note: when using this option, the status will always be PUBLISHED

select
string[]

List of fields you want to get, by default the whole content with versions is returned. But you can choose to return only ['name'] to have data: [{ id: 'bar', name: 'foo' }]. Note: id is always returned

page
number
default:1
Required range: x >= 1
perPage
number
default:10
Required range: x >= 1

Response

200 - application/json

Ok

paginationCount
number
required
paginationPage
number
required
paginationLimit
number
required
status
enum<string>
required
Available options:
success
program
string
required
version
string
required
datetime
string
required
message
string
required
data
object[]
required
code
number